#### Previous topic

scipy.optimize.rosen

#### Next topic

scipy.optimize.rosen_hess

# scipy.optimize.rosen_der

`scipy.optimize.``rosen_der`(x)

  The derivative (i.e. gradient) of the Rosenbrock function.

  Parameters:

  x : array_like

  > 1-D array of points at which the derivative is to be computed.

  Returns:

  rosen_der : (N,) ndarray

  > The gradient of the Rosenbrock function at x.

  See also

  `rosen`, `rosen_hess`, `rosen_hess_prod`